Bug 257088 - Return code of programs should be shown
Summary: Return code of programs should be shown
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: CPP Debugger (show other bugs)
Version: 4.1.0
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-16 19:43 UTC by Rolf Eike Beer
Modified: 2011-12-30 19:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2010-11-16 19:43:07 UTC
Version:           4.1.0 (using KDE 4.5.3) 
OS:                Linux

Whenever the program I debugged finished I get the message "*** Exited normally ***". What I would like to see here would be also the return code of the program.

Bonus points if the return value can optionally be mapped to a value from errno.h. Should be configurable as it heavily depends on the program if the return code is an errno value or not.

Reproducible: Always
Comment 1 Niko Sams 2011-06-12 18:10:22 UTC
The same would make sense for executing.
Comment 2 Niko Sams 2011-12-30 18:57:15 UTC
It's already implemented when executing.
Comment 3 Niko Sams 2011-12-30 18:58:04 UTC
Git commit 2791975f8238bdef9c18d26fe3f1a9ef90bd3732 by Niko Sams.
Committed on 30/12/2011 at 19:55.
Pushed by nsams into branch 'master'.

output exit code when debugee exits with a exit code != 0

M  +5    -1    debuggers/gdb/debugsession.cpp

http://commits.kde.org/kdevelop/2791975f8238bdef9c18d26fe3f1a9ef90bd3732
Comment 4 Niko Sams 2011-12-30 18:59:18 UTC
Couldn't commit to 4.3 as we already in string freeze.
Comment 5 Niko Sams 2011-12-30 19:55:26 UTC
Git commit 51bff7a8fea78a2dfb6fb2c2322e98ecfe449b99 by Niko Sams.
Committed on 30/12/2011 at 19:55.
Pushed by nsams into branch '4.3'.

output exit code when debugee exits with a exit code != 0

M  +5    -1    debuggers/gdb/debugsession.cpp

http://commits.kde.org/kdevelop/51bff7a8fea78a2dfb6fb2c2322e98ecfe449b99
Comment 6 Niko Sams 2011-12-30 19:56:31 UTC
was able to backport as 1i0n servers are down atm :D